package sample.game.ai;


public abstract class AiSystem {


	protected Memory targetMemory;

	public abstract void update(float delataTime);

	public abstract void callGameOver();


	public Memory getAiMemory(){
		return this.targetMemory;
	}

	public abstract void changeAiMoveCharaSpeed();
	public abstract int getMoveSpeed();
}
